package com.om.entity.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author bmmx
 * @since 2024-03-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("diagnostic_menu")
@ApiModel(value="DiagnosticMenu对象", description="")
public class DiagnosticMenu implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "客户端菜单主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "菜单文件名")
    private String fileName;

    @ApiModelProperty(value = "菜单文件大小")
    private String fileSize;

    @ApiModelProperty(value = "菜单版本号")
    private String versionNum;

    @ApiModelProperty(value = "中文菜单")
    private String menuCn;

    @ApiModelProperty(value = "英文菜单")
    private String menuEn;

    @ApiModelProperty(value = "菜单状态")
    private Integer enableStatus = 0;

    @ApiModelProperty(value = "菜单保存路径")
    private String savePath;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "客户端id集合")
    private String clientIds;


}
