package com.om.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.om.entity.dto.ElectronicControls;
import com.om.entity.dto.ReportTitleDto;
import com.om.entity.po.ElectronicControl;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.List;

@Data
@NoArgsConstructor
public class RepairVO {

    @ApiModelProperty(value = "诊断报告ID")
    private Integer id;

    @ApiModelProperty(value = "主标题，如：诊断报告")
    private String mainTitle;

    @ApiModelProperty(value = "小标题，如车辆信息")
    private String carInfoTitle;

    @ApiModelProperty(value = "里程")
    private String mileage;

    @ApiModelProperty(value = "SN号")
    private String sn;

    @ApiModelProperty(value = "文件名")
    private String fileName;

    @ApiModelProperty(value = "诊断路径")
    private String diagnosticPath;

    @ApiModelProperty(value = "electronicControlCount")
    private Integer electronicControlCount;

    @ApiModelProperty(value = "faultCodeCount")
    private Integer faultCodeCount;

    @ApiModelProperty(value = "electronicControls")
    private List<ElectronicControls> electronicControls;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "维修厂名称")
    private String departmentName;

    @ApiModelProperty(value = "报告编号")
    private String repairNum;

    @ApiModelProperty(value = "标题dto")
    private ReportTitleDto reportTitleDto;

    @ApiModelProperty(value = "状态")
    private Integer status;
}
